#
# This is an example configuration which loads the documentation classes for
# the webtools package and shows you how to configure the various different 
# classes available. Your application should have it's own configuration in it's
# CVS area and not use this, other than as a guideline. Applications deployed at
# CERN will need to meet the CERN web service SLA:
#     https://twiki.cern.ch/twiki/bin/view/CMS/DMWTServiceLevelAgreement 
# This includes committing configuration files to appropriate locations in CVS.
#
from WMCore.Configuration import Configuration
from WMCore.WMBase import getWMBASE
import os.path,cherrypy


PATH = os.path.abspath(os.path.dirname(__file__))
    
config = Configuration()

# This component has all the configuration of CherryPy
config.component_('Webtools')
# We could change port, set logging etc here like so:
config.Webtools.port = 8301
config.Webtools.host = 'vocms114'
#config.Webtools.environment = development
#config.Webtools.thread_pool = 10
# etc. Check Root.py for all configurables

## This is the application
#config.Webtools.application = 'WebtoolsDocs'

## This is the config for the application
#config.component_('WebtoolsDocs')
## Define the default location for templates for the app
#config.WebtoolsDocs.templates =  getWMBASE()+ '/src/templates/WMCore/WebTools'
#config.WebtoolsDocs.admin = 'your@email.com'
#config.WebtoolsDocs.title = 'CMS WMCore/WebTools Documentation'
#config.WebtoolsDocs.description = 'Documentation on the WMCORE/WebTools'
#config.WebtoolsDocs.templates = getWMBASE()+'/src/templates/WMCore/WebTools'



config.Webtools.application = 'MotT0Application'

## This is the config for the application
config.component_('MotT0Application')
## Define the default location for templates for the app
##config.MotT0dev.templates = getWMBASE()+ '/src/templates/WMCore/WebTools'
config.MotT0Application.admin = ''
config.MotT0Application.title = 'CMS WMCore/WebTools Documentation'
config.MotT0Application.description = 'Documentation on the WMCORE/WebTools'
##print "Motto conf "+ str(config)

## We could define the class that is the applications index
##config.WebtoolsDocs.index = 'welcome'
## but instead we'll leave it blank and use the default (Welcome.py) which 
## inspects the pages that are loaded and auto-generates a page based on the 
## classes doc strings. You can hide a view from the welcome page by setting 
## hidden=True in its configuration - useful for "admin" pages.

## Views are all pages 
config.MotT0Application.section_('views')
## These are all the active pages that Root.py should instantiate 
active = config.MotT0Application.views.section_('active')	
	 
active.MotT0 = active.section_('MotT0')
active.MotT0.object = 'WMCore.MotT0.MotT0'
active.MotT0.templates = PATH+ '/templates' 
active.MotT0.DAS='http://vocms115.cern.ch:8301/tier0/'
